[ปัญหา] การติดตั้ง selenium ไม่สามารถรันได้

แนะนำ สอบถาม ภาษา C สำหรับผู้เริ่มต้น ภาษา Java ภาษา Python

Moderator: mindphp, ผู้ดูแลกระดาน

rangsan
PHP Hero Member
PHP Hero Member
โพสต์: 199
ลงทะเบียนเมื่อ: 30/04/2018 9:44 am

[ปัญหา] การติดตั้ง selenium ไม่สามารถรันได้

โพสต์โดย rangsan » 07/05/2018 6:49 pm

ขั้นตอนการติดตั้งผ่าน Terminal

โค้ด: เลือกทั้งหมด

sudo pip install selenium


ภาพประกอบ
install_selenium.png
install_selenium.png (9.36 KiB) เปิดดู 181 ครั้ง


ผลลัพธ์การรันโค้ด
output_install_selenium.png
output_install_selenium.png (48.89 KiB) เปิดดู 181 ครั้ง


เมื่อทำการรันโค้ดบน Pycharm

โค้ด: เลือกทั้งหมด

from selenium import webdriver

browser = webdriver.Firefox()

browser.get('http://www.mindphp.com')


ผลัพธ์ Error

โค้ด: เลือกทั้งหมด

Traceback (most recent call last):
  File "/home/com003/PycharmProjects/m058/venv/lib/python3.6/site-packages/selenium/webdriver/common/service.py", line 76, in start
    stdin=PIPE)
  File "/usr/lib/python3.6/subprocess.py", line 709, in __init__
    restore_signals, start_new_session)
  File "/usr/lib/python3.6/subprocess.py", line 1344, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'geckodriver': 'geckodriver'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/com003/PycharmProjects/m058/test.py", line 3, in <module>
    browser = webdriver.Firefox()
  File "/home/com003/PycharmProjects/m058/venv/lib/python3.6/site-packages/selenium/webdriver/firefox/webdriver.py", line 152, in __init__
    self.service.start()
  File "/home/com003/PycharmProjects/m058/venv/lib/python3.6/site-packages/selenium/webdriver/common/service.py", line 83, in start
    os.path.basename(self.path), self.start_error_message)
selenium.common.exceptions.WebDriverException: Message: 'geckodriver' executable needs to be in PATH.


ภาพประกอบ
Error_code.png


เหมือนโปรแกรมต้องการไฟล์ geckodriver หรือเปล่าครับ
It’s never too late to start again.

ภาพประจำตัวสมาชิก
nuattawoot
PHP VIP Members
PHP VIP Members
โพสต์: 2476
ลงทะเบียนเมื่อ: 05/06/2017 9:34 am

Re: [ปัญหา] การติดตั้ง selenium ไม่สามารถรันได้

โพสต์โดย nuattawoot » 08/05/2018 11:00 am

ลองกำหมด PATH ให้มันยัง Fix มันไว้เลย
ตัวอย่าง
# -*- coding: utf-8 -*-

from selenium import webdriver
import re
import re,unittest,time
from selenium.webdriver.support.ui import WebDriverWait
from selenium.webdriver.common.keys import Keys

driver = webdriver.Chrome('/usr/local/lib/python2.7/site-packages/chromedriver')

driver.get("http://www.mindphp.com/forums/index.php")
First Bug Love you
รูปภาพ

rangsan
PHP Hero Member
PHP Hero Member
โพสต์: 199
ลงทะเบียนเมื่อ: 30/04/2018 9:44 am

Re: [ปัญหา] การติดตั้ง selenium ไม่สามารถรันได้

โพสต์โดย rangsan » 08/05/2018 1:32 pm

nuattawoot เขียน:ลองกำหมด PATH ให้มันยัง Fix มันไว้เลย
ตัวอย่าง
# -*- coding: utf-8 -*-

from selenium import webdriver
import re
import re,unittest,time
from selenium.webdriver.support.ui import WebDriverWait
from selenium.webdriver.common.keys import Keys

driver = webdriver.Chrome('/usr/local/lib/python2.7/site-packages/chromedriver')

driver.get("http://www.mindphp.com/forums/index.php")



ลองทำตามแต่ว่ายังขึ้น Path ไม่ถูกครับ

โค้ด: เลือกทั้งหมด

# -*- coding: utf-8 -*-

from selenium import webdriver
import re
import re,unittest,time
from selenium.webdriver.support.ui import WebDriverWait
from selenium.webdriver.common.keys import Keys

driver = webdriver.Firefox('/usr/share/applications/Firefox Web Browser')

driver.get("http://www.mindphp.com")


ผลลัพธ์ Error Path ไม่ถูก

โค้ด: เลือกทั้งหมด

Traceback (most recent call last):
  File "/home/com003/PycharmProjects/m058/test.py", line 9, in <module>
    driver = webdriver.Firefox('usr/share/applications/Firefox Web Browser')
  File "/home/com003/PycharmProjects/m058/venv/lib/python3.6/site-packages/selenium/webdriver/firefox/webdriver.py", line 139, in __init__
    firefox_profile = FirefoxProfile(firefox_profile)
  File "/home/com003/PycharmProjects/m058/venv/lib/python3.6/site-packages/selenium/webdriver/firefox/firefox_profile.py", line 78, in __init__
    ignore=shutil.ignore_patterns("parent.lock", "lock", ".parentlock"))
  File "/usr/lib/python3.6/shutil.py", line 309, in copytree
    names = os.listdir(src)
FileNotFoundError: [Errno 2] No such file or directory: 'usr/share/applications/Firefox Web Browser'


ถาพประกอบ path
Path.png
Path.png (39.01 KiB) เปิดดู 160 ครั้ง


ใช่ตรงนี้มั้ยครับ
It’s never too late to start again.

ภาพประจำตัวสมาชิก
nuattawoot
PHP VIP Members
PHP VIP Members
โพสต์: 2476
ลงทะเบียนเมื่อ: 05/06/2017 9:34 am

Re: [ปัญหา] การติดตั้ง selenium ไม่สามารถรันได้

โพสต์โดย nuattawoot » 08/05/2018 1:36 pm

ติดตั้งแล้ว path จะอยู่ตามนี้
driver = webdriver.Chrome('/usr/local/lib/python2.7/site-packages/chromedriver')
First Bug Love you
รูปภาพ


  • Similar Topics
    ตอบกลับ
    แสดง
    โพสต์ล่าสุด

ย้อนกลับไปยัง

ผู้ใช้งานขณะนี้

กำลังดูบอร์ดนี้: 11 และ บุคคลทั่วไป 0 ท่าน